﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ExcelTask.Models
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    using System.Data.Entity.Core.Objects;
    using System.Linq;
    
    public partial class ExcelTask : DbContext
    {
        public ExcelTask()
            : base("name=ExcelTask")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
    
        public virtual ObjectResult<sp_AdmissionInfo_Post_Result> sp_AdmissionInfo_Post(string fullName, string gender, string nationality, string emiratesId, Nullable<System.DateTime> birthDate, string marital, string mobileNum, string email, string admission, string @class, Nullable<System.DateTime> applyDate, Nullable<System.DateTime> submitDate, string offer, string eligibility, Nullable<System.DateTime> registrationDate, Nullable<System.DateTime> activationDate, string primaryMobileNumber)
        {
            var fullNameParameter = fullName != null ?
                new ObjectParameter("FullName", fullName) :
                new ObjectParameter("FullName", typeof(string));
    
            var genderParameter = gender != null ?
                new ObjectParameter("Gender", gender) :
                new ObjectParameter("Gender", typeof(string));
    
            var nationalityParameter = nationality != null ?
                new ObjectParameter("Nationality", nationality) :
                new ObjectParameter("Nationality", typeof(string));
    
            var emiratesIdParameter = emiratesId != null ?
                new ObjectParameter("EmiratesId", emiratesId) :
                new ObjectParameter("EmiratesId", typeof(string));
    
            var birthDateParameter = birthDate.HasValue ?
                new ObjectParameter("BirthDate", birthDate) :
                new ObjectParameter("BirthDate", typeof(System.DateTime));
    
            var maritalParameter = marital != null ?
                new ObjectParameter("Marital", marital) :
                new ObjectParameter("Marital", typeof(string));
    
            var mobileNumParameter = mobileNum != null ?
                new ObjectParameter("MobileNum", mobileNum) :
                new ObjectParameter("MobileNum", typeof(string));
    
            var emailParameter = email != null ?
                new ObjectParameter("Email", email) :
                new ObjectParameter("Email", typeof(string));
    
            var admissionParameter = admission != null ?
                new ObjectParameter("Admission", admission) :
                new ObjectParameter("Admission", typeof(string));
    
            var classParameter = @class != null ?
                new ObjectParameter("Class", @class) :
                new ObjectParameter("Class", typeof(string));
    
            var applyDateParameter = applyDate.HasValue ?
                new ObjectParameter("ApplyDate", applyDate) :
                new ObjectParameter("ApplyDate", typeof(System.DateTime));
    
            var submitDateParameter = submitDate.HasValue ?
                new ObjectParameter("SubmitDate", submitDate) :
                new ObjectParameter("SubmitDate", typeof(System.DateTime));
    
            var offerParameter = offer != null ?
                new ObjectParameter("Offer", offer) :
                new ObjectParameter("Offer", typeof(string));
    
            var eligibilityParameter = eligibility != null ?
                new ObjectParameter("Eligibility", eligibility) :
                new ObjectParameter("Eligibility", typeof(string));
    
            var registrationDateParameter = registrationDate.HasValue ?
                new ObjectParameter("RegistrationDate", registrationDate) :
                new ObjectParameter("RegistrationDate", typeof(System.DateTime));
    
            var activationDateParameter = activationDate.HasValue ?
                new ObjectParameter("ActivationDate", activationDate) :
                new ObjectParameter("ActivationDate", typeof(System.DateTime));
    
            var primaryMobileNumberParameter = primaryMobileNumber != null ?
                new ObjectParameter("PrimaryMobileNumber", primaryMobileNumber) :
                new ObjectParameter("PrimaryMobileNumber", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<sp_AdmissionInfo_Post_Result>("sp_AdmissionInfo_Post", fullNameParameter, genderParameter, nationalityParameter, emiratesIdParameter, birthDateParameter, maritalParameter, mobileNumParameter, emailParameter, admissionParameter, classParameter, applyDateParameter, submitDateParameter, offerParameter, eligibilityParameter, registrationDateParameter, activationDateParameter, primaryMobileNumberParameter);
        }
    
        public virtual ObjectResult<sp_StudentInfo_Post_Result> sp_StudentInfo_Post(string fullName, string affiliate, string sponsor, string fullNameAr, string gender, string nationality, string emiratesId, Nullable<System.DateTime> birthDate, string marital, string mobileNum, string email, string learnerStatus, string userId)
        {
            var fullNameParameter = fullName != null ?
                new ObjectParameter("FullName", fullName) :
                new ObjectParameter("FullName", typeof(string));
    
            var affiliateParameter = affiliate != null ?
                new ObjectParameter("Affiliate", affiliate) :
                new ObjectParameter("Affiliate", typeof(string));
    
            var sponsorParameter = sponsor != null ?
                new ObjectParameter("Sponsor", sponsor) :
                new ObjectParameter("Sponsor", typeof(string));
    
            var fullNameArParameter = fullNameAr != null ?
                new ObjectParameter("FullNameAr", fullNameAr) :
                new ObjectParameter("FullNameAr", typeof(string));
    
            var genderParameter = gender != null ?
                new ObjectParameter("Gender", gender) :
                new ObjectParameter("Gender", typeof(string));
    
            var nationalityParameter = nationality != null ?
                new ObjectParameter("Nationality", nationality) :
                new ObjectParameter("Nationality", typeof(string));
    
            var emiratesIdParameter = emiratesId != null ?
                new ObjectParameter("EmiratesId", emiratesId) :
                new ObjectParameter("EmiratesId", typeof(string));
    
            var birthDateParameter = birthDate.HasValue ?
                new ObjectParameter("BirthDate", birthDate) :
                new ObjectParameter("BirthDate", typeof(System.DateTime));
    
            var maritalParameter = marital != null ?
                new ObjectParameter("Marital", marital) :
                new ObjectParameter("Marital", typeof(string));
    
            var mobileNumParameter = mobileNum != null ?
                new ObjectParameter("MobileNum", mobileNum) :
                new ObjectParameter("MobileNum", typeof(string));
    
            var emailParameter = email != null ?
                new ObjectParameter("Email", email) :
                new ObjectParameter("Email", typeof(string));
    
            var learnerStatusParameter = learnerStatus != null ?
                new ObjectParameter("LearnerStatus", learnerStatus) :
                new ObjectParameter("LearnerStatus", typeof(string));
    
            var userIdParameter = userId != null ?
                new ObjectParameter("UserId", userId) :
                new ObjectParameter("UserId", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<sp_StudentInfo_Post_Result>("sp_StudentInfo_Post", fullNameParameter, affiliateParameter, sponsorParameter, fullNameArParameter, genderParameter, nationalityParameter, emiratesIdParameter, birthDateParameter, maritalParameter, mobileNumParameter, emailParameter, learnerStatusParameter, userIdParameter);
        }
    }
}
